Package org.eclipse.net4j.util.concurrent

## Class SynchronousExecutor

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.SynchronousExecutor

- All Implemented Interfaces:
    `java.util.concurrent.Executor`

      public final class SynchronousExecutor
      extends java.lang.Object
      implements java.util.concurrent.Executor

  Since:
    3.9
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.concurrent.Executor` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(java.lang.Runnable work)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final java.util.concurrent.Executor INSTANCE

  - ### Method Detail

    - #### execute

          public void execute​(java.lang.Runnable work)

      Specified by:
        `execute` in interface `java.util.concurrent.Executor`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`